<?php

/*  A Set of functions for using Paypal merchant tools. */

/**
 * Create a payment button to pay an invoice.
 * It creates a single item cart payment 
 */
function pp_payment_button( $invnum, $amount, $client, $paypal_email, $serverurl,
 							$method='POST' ){

  if( $paypal_email == "" ){
    return;
  }

  $item_name = "madgenius.com Invoice: $invnum";
  $html .= "\n<!-- Pay Pal -->\n";
  $html .= "<form method='$method' action='https://www.paypal.com/cgibin/webscr' target=\"paypal\">\n";
  $html .= pp_hidden( "cmd", "_ext-enter" );
  $html .= pp_hidden( "redirect_cmd", "_xclick" );
  $html .= pp_hidden( "business", $paypal_email ); 
  $html .= pp_hidden( "amount", $amount );
  $html .= pp_hidden( "item_name", $item_name );
  $html .= pp_hidden( "invoice", $invnum ); 
  $html .= pp_hidden( "no_shipping", 1 ); 
  $html .= pp_hidden( "first_name", $client[first] );
  $html .= pp_hidden( "last_name", $client[last] );
  $html .= pp_hidden( "address1", $client[address]);
  $html .= pp_hidden( "city", $client[city]);
  $html .= pp_hidden( "state", $client[state]);
  $html .= pp_hidden( "zip", $client[zip]);
  $html .= pp_hidden( "return", "$serverurl/realinv.php" );
  $html .= pp_hidden( "cancel_return", "$serverurl/realinv.php" );
  $html .= pp_hidden( "image_url", "$serverurl/InvoiceLeftHeader.gif" );
  $html .= "<input type=\"image\" src=\"http://www.paypal.com/images/x-click-but06.gif\" border=\"0\" name=\"submit\" alt=\"Make payments with PayPal - it's fast, free and secure!\">\n";
  $html .= "</form>\n";
  $html .= "<!-- Pay Pal -->\n";

  return $html;
}

function pp_hidden( $name, $value ){
  return "<input type='hidden' name='$name' value='$value'>\n";
}
?>
